import * as forge from 'node-forge';
import { asn1 } from './asn1';
export declare enum Format {
    der = "der",
    pem = "pem",
    txt = "txt",
    asn1 = "asn1",
    x509 = "x509",
    fingerprint = "fingerprint"
}
export type ConvertResult = string | forge.util.ByteStringBuffer | asn1 | forge.pki.Certificate;
export declare function convert(pem: string, format: Format.pem | Format.txt | Format.fingerprint): string;
export declare function convert(pem: string, format: Format.der): forge.util.ByteStringBuffer;
export declare function convert(pem: string, format: Format.asn1): asn1;
export declare function convert(pem: string, format: Format.x509): forge.pki.Certificate;
export declare function convert(pem: string, format: Format): string | forge.util.ByteStringBuffer | asn1 | forge.pki.Certificate;
